Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.trace
Class EndSelectionEvent

    java.lang.Object
      |
      +--weblogic.apache.xalan.trace.SelectionEvent
            |
            +--weblogic.apache.xalan.trace.EndSelectionEvent

public class EndSelectionEvent
extends SelectionEvent

Event triggered by completion of a xsl:for-each selection or a xsl:apply-templates selection.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xalan.trace.SelectionEvent
`m_attributeName, m_processor, m_selection, m_sourceNode, m_styleNode, m_xpath`

Constructor Summary
`EndSelectionEvent(TransformerImpl processor, org.w3c.dom.Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Create an EndSelectionEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndSelectionEvent

    public EndSelectionEvent(TransformerImpl processor,
                             org.w3c.dom.Node sourceNode,
                             ElemTemplateElement styleNode,
                             java.lang.String attributeName,
                             XPath xpath,
                             XObject selection)

  Create an EndSelectionEvent.

  Parameters:
    `processor` - The XSLT TransformerFactory.
    `sourceNode` - The current context node.
    `mode` - The current mode.
    `styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.
    `attributeName` - The attribute name from which the selection is made.
    `xpath` - The XPath that executed the selection.
    `selection` - The result of the selection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference